import request from '@/utils/request'

// 查询设备绑定产品列表
export function listEquipmentBoundMaterials(query) {
	return request({
		url: '/wms/equipmentBoundMaterials/list',
		method: 'get',
		params: query
	});
}

// 查询设备绑定产品详细
export function getEquipmentBoundMaterials(equipmentId) {
	return request({
		url: '/wms/equipmentBoundMaterials/' + equipmentId,
		method: 'get'
		});
}

// 新增设备绑定产品
export function addEquipmentBoundMaterials(data) {
	return request({
		url: '/wms/equipmentBoundMaterials',
		method: 'post',
		data: data
	});
}

// 修改设备绑定产品
export function updateEquipmentBoundMaterials(data) {
	return request({
		url: '/wms/equipmentBoundMaterials',
		method: 'put',
		data: data
	});
}

// 删除设备绑定产品
export function delEquipmentBoundMaterials(equipmentId) {
	return request({
		url: '/wms/equipmentBoundMaterials/' + equipmentId,
		method: 'delete'
	});
}
